curl --request POST \
--url https://api.sandbox.tesouro.com/finops/v1/bank-details \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-finops-version: <x-finops-version>' \
--header 'x-organization-id: <x-organization-id>' \
--data '
{
"account_holder_name": "Cayla Lloyd",
"account_number": "123456789",
"bank_name": "Chase",
"display_name": "Primary account",
"routing_number": "123456789"
}
'import requests
url = "https://api.sandbox.tesouro.com/finops/v1/bank-details"
payload = {
"account_holder_name": "Cayla Lloyd",
"account_number": "123456789",
"bank_name": "Chase",
"display_name": "Primary account",
"routing_number": "123456789"
}
headers = {
"x-finops-version": "<x-finops-version>",
"x-organization-id": "<x-organization-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-finops-version': '<x-finops-version>',
'x-organization-id': '<x-organization-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
account_holder_name: 'Cayla Lloyd',
account_number: '123456789',
bank_name: 'Chase',
display_name: 'Primary account',
routing_number: '123456789'
})
};
fetch('https://api.sandbox.tesouro.com/finops/v1/bank-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_holder_name": "Cayla Lloyd",
"account_number": "123456789",
"account_number_last4": "5678",
"bank_name": "Chase",
"display_name": "Primary account",
"routing_number": "123456789",
"was_created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"message": "<string>"
}
}Create bank details
Add a bank details record for the organization.
Required fields are account_holder_name, account_number and routing_number. Optionally provide bank_name and display_name.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The ID of the entity that owns the requested resource.
"9d2b4c8f-2087-4738-ba91-7359683c49a4"
Body
Represents a US bank account (bank details) owned by an entity.
The name of the person or business that owns this bank account. Required in the following cases:
- the account currency is GBP or USD,
- the account currency is EUR and the entity wishes to receive SEPA Credit transfers to this account.
1 - 200"Cayla Lloyd"
The bank account number. Required if the account currency is GBP or USD. UK account numbers typically contain 8 digits. US bank account numbers contain 9 to 12 digits.
"123456789"
The bank name.
"Chase"
User-defined name of this bank account, such as 'Primary account' or 'Savings account'.
1 - 200"Primary account"
The bank's routing transit number (RTN) or branch code. Required if the account currency is USD. US routing numbers consist of 9 digits.
"123456789"
Response
Successful Response
Represents a US bank account (bank details) owned by an entity.
Unique ID of the bank account.
The name of the person or business that owns this bank account. Required in the following cases:
- the account currency is GBP or USD,
- the account currency is EUR and the entity wishes to receive SEPA Credit transfers to this account.
"Cayla Lloyd"
The bank account number. Required if the account currency is GBP or USD. UK account numbers typically contain 8 digits. US bank account numbers contain 9 to 12 digits.
"123456789"
The last 4 digits of bank account number. Required if the account currency is GBP or USD and there is no information about the full account number.
"5678"
The bank name.
"Chase"
User-defined name of this bank account, such as 'Primary account' or 'Savings account'.
"Primary account"
The bank's routing transit number (RTN) or branch code. Required if the account currency is USD. US routing numbers consist of 9 digits.
"123456789"
ID of the entity user who added this bank account, or null if it was added using a partner access token.
Was this page helpful?